// G-TcpServerDemoDlg.cpp : ʵļ
//

#include "stdafx.h"
#include "G-TcpServerDemo.h"
#include "G-TcpServerDemoDlg.h"

#include "..\..\G-TcpServer.h"
#include "..\G-TcpSvrRunInfo\G-TcpSvrRunInfo.h"

#ifdef _DEBUG
#define new DEBUG_unEW
#endif


// CGTcpServerDemoDlg Ի

CGTcpServerDemoDlg::CGTcpServerDemoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGTcpServerDemoDlg::IDD, pParent)
	, m_unLoop(0)

	, m_unMaxConnection(10000)
	, m_unMaxPostAccept(1000)
	, m_unMaxNetDelayTime(5)

	, m_unProcesserThreadNumber(0)
	, m_unWorkerThreadNumber(0)
	, m_unGuardThreadSleepTime(2)

	, m_unIoDataNumber(15000)
	, m_unHndDataExNumber(15000)
	, m_unHeartbeatTime(60)

	, m_strHostIP(_T(""))
	, m_strListenPort(6800)
	, m_strBroad(_T(""))
	, m_bIsPing(TRUE)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	m_unProcesserThreadNumber = GTcpSvr_GetProcesserNumber() * 2 + 2;
	m_unWorkerThreadNumber = m_unProcesserThreadNumber;
	wchar_t szIP[20];
	GTcpSvr_GetHostIP(szIP, 20);
	m_strHostIP = szIP;
	m_strBroad = _T("This is Server Message!");
}

void CGTcpServerDemoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_GEDIT_HDDT_TOTAL2, m_unMaxConnection);
	DDX_Text(pDX, IDC_GEDIT_HDDT_USED3, m_unMaxPostAccept);
	DDX_Text(pDX, IDC_GEDIT_HDDT_BYTES3, m_unMaxNetDelayTime);

	DDX_Text(pDX, IDC_GEDIT_HDDT_USED_R2, m_unProcesserThreadNumber);
	DDX_Text(pDX, IDC_GEDIT_HDDT_USED4, m_unWorkerThreadNumber);
	DDX_Text(pDX, IDC_GEDIT_HDDT_BYTES4, m_unGuardThreadSleepTime);

	DDX_Text(pDX, IDC_GEDIT_IODT_TOTAL2, m_unIoDataNumber);
	DDX_Text(pDX, IDC_GEDIT_HDDT_USED5, m_unHndDataExNumber);
	DDX_Text(pDX, IDC_GEDIT_HDDT_BYTES5, m_unHeartbeatTime);

	DDX_Control(pDX, IDC_BUTTON1, m_btnStart);
	DDX_Text(pDX, IDC_GEDIT_IODT_TOTAL3, m_strHostIP);
	DDX_Control(pDX, IDC_BUTTON2, m_btnListen);
	DDX_Text(pDX, IDC_GEDIT_IODT_TOTAL4, m_strBroad);
	DDX_Control(pDX, IDC_BUTTON3, m_btnBroad);
	DDX_Text(pDX, IDC_EDIT_11, m_strListenPort);
	DDX_Control(pDX, IDC_EDIT_1, m_edt1);
	DDX_Control(pDX, IDC_EDIT_2, m_edt2);
	DDX_Control(pDX, IDC_EDIT_3, m_edt3);
	DDX_Control(pDX, IDC_EDIT_4, m_edt4);
	DDX_Control(pDX, IDC_EDIT_5, m_edt5);
	DDX_Control(pDX, IDC_EDIT_6, m_edt6);
	DDX_Control(pDX, IDC_EDIT_7, m_edt7);
	DDX_Control(pDX, IDC_EDIT_8, m_edt8);
	DDX_Control(pDX, IDC_EDIT_9, m_edt10);
	DDX_Control(pDX, IDC_EDIT_13, m_edtBlog);
	DDX_Text(pDX, IDC_LOOP, m_unLoop);
	DDX_Control(pDX, IDC_LOOP, m_edtLoop);
	DDX_Check(pDX, IDC_CHECK1, m_bIsPing);
}

BEGIN_MESSAGE_MAP(CGTcpServerDemoDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDOK, &CGTcpServerDemoDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CGTcpServerDemoDlg::OnBnClickedCancel)
	ON_WM_TIMER()
	ON_EN_CHANGE(IDC_LOOP, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_SEND_unUMBER, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_1, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_2, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_3, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_4, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_5, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_6, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_7, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_8, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_9, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_10, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_11, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_EN_CHANGE(IDC_EDIT_12, &CGTcpServerDemoDlg::OnEnChangeEdit1)
	ON_BN_CLICKED(IDC_BUTTON1, &CGTcpServerDemoDlg::OnBnClickedButton1)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUTTON2, &CGTcpServerDemoDlg::OnBnClickedButton2)
	ON_BN_CLICKED(IDC_BUTTON3, &CGTcpServerDemoDlg::OnBnClickedButton3)
	ON_BN_CLICKED(IDC_BUTTON6, &CGTcpServerDemoDlg::OnBnClickedButton6)
	ON_BN_CLICKED(IDC_BUTTON5, &CGTcpServerDemoDlg::OnBnClickedButton5)
	ON_BN_CLICKED(IDC_CHECK1, &CGTcpServerDemoDlg::OnBnClickedCheck1)
END_MESSAGE_MAP()


// CGTcpServerDemoDlg Ϣ
void SetListCtrlStyleDemo(CListCtrl* pLstCtrl)
{
	//ԭз
	DWORD dwStyle = GetWindowLong(pLstCtrl->m_hWnd, GWL_STYLE); 
	dwStyle &= ~(LVS_TYPEMASK);
	dwStyle &= ~(LVS_EDITLABELS);

	//·
    SetWindowLong(pLstCtrl->m_hWnd, GWL_STYLE, dwStyle | LVS_REPORT | LVS_NOLABELWRAP | LVS_SHOWSELALWAYS);

	//չ
	DWORD styles = LVS_EX_FULLROWSELECT | LVS_EX_GRIDLINES;
	ListView_SetExtendedListViewStyleEx(pLstCtrl->m_hWnd, styles, styles );
}

BOOL CGTcpServerDemoDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// ô˶ԻͼꡣӦóڲǶԻʱܽԶ
	//  ִд˲
	SetIcon(m_hIcon, TRUE);			// ôͼ
	SetIcon(m_hIcon, FALSE);		// Сͼ

	// TODO: ڴӶĳʼ
	m_btnListen.EnableWindow(FALSE);
	m_btnBroad.EnableWindow(FALSE);

	CString str;
	wchar_t wt[256];

	this->GetWindowText(wt, 255);
	str.Format(_T("%s %s"), wt, GTcpSvr_GetVersionName());	
	this->SetWindowText(str);

	m_edtBlog.SetWindowTextW(_T("http://Blog.CSDN.Net/GuestCode      48092788@qq.com"));
	GTcpSvr_CreateRunInfo();
	return TRUE;  // ǽõؼ򷵻 TRUE
}

void CGTcpServerDemoDlg::OnBnClickedButton6()
{
	// TODO: ڴӿؼ֪ͨ
	ShellExecute(0, _T("open"), _T("http://Blog.CSDN.Net/GuestCode"), NULL, NULL, SW_SHOWNORMAL);
}

// ԻСťҪĴ
//  Ƹͼꡣʹĵ/ͼģ͵ MFC Ӧó
//  ⽫ɿԶɡ

void CGTcpServerDemoDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // ڻƵ豸

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// ʹͼڹо
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// ͼ
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

//û϶Сʱϵͳô˺ȡù
//ʾ
HCURSOR CGTcpServerDemoDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}


void CGTcpServerDemoDlg::OnBnClickedOk()
{
	// TODO: ڴӿؼ֪ͨ
	//OnOK();
}

void CGTcpServerDemoDlg::OnBnClickedCancel()
{
	// TODO: ڴӿؼ֪ͨ
	OnCancel();
}

void CGTcpServerDemoDlg::OnEnChangeEdit1()
{
	// TODO:  ÿؼ RICHEDIT ؼ
	// ͸֪ͨд CDialog::OnInitDialog()
	//  CRichEditCtrl().SetEventMask()
	// ͬʱ ENM_CHANGE ־㵽С
	wchar_t* szText[128];

	::GetWindowText(::GetFocus(), LPWSTR(szText), 127);
	if(szText[0])
	{
		UpdateData(TRUE);
		if(!GTcpSvr_IsActive())
		{
			DWORD n1 = (DWORD)GTcpSvr_GetPageSize() * m_unIoDataNumber + (DWORD)(m_unMaxConnection + m_unHndDataExNumber) * GTcpSvr_GetHndDataSize(),
				  n2 = (DWORD)GTcpSvr_GetPhyMemInfo(NULL) - (DWORD)100 * 1024 * 1024;
			if(n1 < n2)
			{
				m_btnStart.EnableWindow(TRUE);
				m_btnStart.SetWindowText(_T("Start"));
			}else
			{
				m_btnStart.EnableWindow(FALSE);
				m_btnStart.SetWindowText(_T("No free mem"));
			}
		}
	}
	
	// TODO:  ڴӿؼ֪ͨ
}

/********************************************************************************
				 GTcpServer ¼ص
********************************************************************************/
void __stdcall GTcpSvr_OnThread(unsigned int unThreadContext, unsigned int unThreadHandle, unsigned int unThreadID, BOOL bIsBegin, unsigned int unFlag)
//˵߳̿ʼͽʱ߳ڵĻص߳Ȩ޺ͽ߳صĳʼ
//룺hThreadHandle߳̾
//		nThreadID߳ID
//		bIsBeginΪTRUEʾ̸߳տʼУʾ߳̽ˡ
//		unFlag1Ϊݴ̣߳2ΪIỌ߳3Ϊ̣߳δ塣
//
//ע⣺߳Ȩÿɸݴ̡̡߳߳ŷ̵߳Ľɫã߳ڲҪĳʼԸ
//		unFlagΪ1bIsBeginΪʱгʼ磺CoInitialize(nil)unFlagΪ1bIsBeginΪٽзʼ
//		磺CoUninitialize()
{
	//̸߳տʼ
	if(bIsBegin)
	{
		GTcpSvrInfo_AddThread(unThreadContext, unThreadHandle, unThreadID);
		//Ǵ߳
		if(1 == unFlag)
		{
			//̹߳ȽϴӦøڹ߳
			//SetThreadPriority(hThreadHandle, THREAD_PRIORITY_unORMAL);
			//SetThreadPriority(hThreadHandle, THREAD_MODE_BACKGROUND_BEGIN);

			//ֻд̲߳ŻûصӦӵ¼пҪʼ̣߳
			//ʹݿҪ߳ڶĲ
			CoInitialize(NULL);
		}else
		//ǹ߳
		if(2 == unFlag)
		{
			//߳Ȩ޽ڿ̺߳ʹ֮߳
			//SetThreadPriority(hThreadHandle, THREAD_PRIORITY_unORMAL);
		}else
		//ǿ߳
		if(3 == unFlag)
		{
			//߳ûбҪ̫Ȩ
			//SetThreadPriority(hThreadHandle, THREAD_PRIORITY_unORMAL);
		}
	}else
	{
		//GTcpSvrInfo_DelThread(gcThreadContext);
		//Ǵ߳
		if(1 == unFlag)
		{
			//ʼ
			CoUninitialize();
			//ȡ߳ģʽ
			//SetThreadPriority(hThreadHandle, THREAD_MODE_BACKGROUND_END);
		}else
		//ǹ߳
		if(2 == unFlag)
		{
			
		}else
		//ǿ߳
		if(3 == unFlag)
		{
			
		}
	}
}

//ԭĻصĲvoid* pOwenrǿתΪunsigned int unPerHandle
//ΪOnConnectѾOwnerΪunPerHandleͬ
void __stdcall GTcpSvr_OnReceived(unsigned int unPerHandle, unsigned char* pBuf, unsigned int unLen)
{
	//ַͺʾ
	int i;
	CGTcpServerDemoDlg* pDlg = (CGTcpServerDemoDlg*)GTcpSvr_GetListenOwner(unPerHandle);

	i = pDlg->m_unLoop * 1000;
	while(i--);
	if(pDlg->m_bIsPing)
	{
		//1
		/*PGBUF pGBuf;

		pGBuf = GTcpSvr_AllocGBuf();
		if(pGBuf)
		{
			memcpy(pGBuf, pBuf, nLen);
			GTcpSvr_PostSendGBuf(unPerHandle, pGBuf, nLen);
		}*/
		//2
		GTcpSvr_PostSendBuf(unPerHandle, pBuf, unLen);
	}
}

void __stdcall GTcpSvr_OnConnected(unsigned int unPerHandle, unsigned char* pBuf, unsigned int unLen)
{
	//ظ룬ýպ )
	GTcpSvr_OnReceived(unPerHandle, pBuf, unLen);
}

void __stdcall GTcpSvr_OnSended(unsigned int unPerHandle, unsigned int unSendID,  unsigned int unLen)
{

}

void __stdcall GTcpSvr_OnDisconnected(unsigned int unPerHandle, unsigned int unFlag)
{
	
}
/********************************************************************************
				 GTcpServer ¼ص
********************************************************************************/

void CGTcpServerDemoDlg::EnableCtrls(BOOL bEnabled)
{
	m_edt1.EnableWindow(bEnabled);
	m_edt2.EnableWindow(bEnabled);
	m_edt3.EnableWindow(bEnabled);
	m_edt4.EnableWindow(bEnabled);
	m_edt5.EnableWindow(bEnabled);
	m_edt6.EnableWindow(bEnabled);
	m_edt7.EnableWindow(bEnabled);
	m_edt8.EnableWindow(bEnabled);
	m_edt10.EnableWindow(bEnabled);
}

void CGTcpServerDemoDlg::OnBnClickedButton1()
{
	// TODO: ڴӿؼ֪ͨ
	
	if(!GTcpSvr_IsActive())
	{
		GTcpSvr_Start(m_unMaxConnection,				//ĬϽ޸
						m_unHeartbeatTime,		//ʱʱʱյͻ˵ݣ򱻶Ͽ
						m_unMaxNetDelayTime,			//ܳʱͻӺ󣬱ʱݣ򱻶Ͽ
						&GTcpSvr_OnThread,			//߳̿ʼͽĻصַ
						m_unMaxPostAccept,			//ͶAcceptEx
						m_unIoDataNumber,			//IoDataϵͳӦ䣬ӦMaxConnection * 1.5
						m_unProcesserThreadNumber,	//߳ԸCPUã0ʱϵͳΪCPUNumber
						m_unWorkerThreadNumber,		//߳ԸCPU
						m_unGuardThreadSleepTime,	//߳ߵʱ䣬֮Ƿнܳʱгʱ
						m_unHndDataExNumber);		//HndDataչHndDataCount = MaxConnection + HndDataExNumber10001000
		if(GTcpSvr_IsActive())
		{
			m_btnStart.SetWindowText(_T("Stop"));
			m_btnListen.EnableWindow(TRUE);
			m_btnBroad.EnableWindow(TRUE);
			EnableCtrls(FALSE);
		}
	}else
	{
		GTcpSvr_ClearRunInfo();
		GTcpSvr_Stop();
		if(!GTcpSvr_IsActive())
		{
			CString str(_T("Listen"));
			m_btnListen.SetWindowText(str.GetBuffer());
			m_btnStart.SetWindowText(_T("Start"));
			m_btnListen.EnableWindow(FALSE);
			m_btnBroad.EnableWindow(FALSE);
			m_strListenPort = 6800;
			UpdateData(FALSE);
			EnableCtrls(TRUE);
		}else
			MessageBox(_T("G-TcpServerʧܣ־ļ"));
	}
}

void CGTcpServerDemoDlg::OnDestroy()
{
	GTcpSvr_DestroyRunInfo();

	CDialog::OnDestroy();
	
	// TODO: ڴ˴Ϣ
	GTcpSvr_Stop();
}

void CGTcpServerDemoDlg::OnBnClickedButton2()
{
	// TODO: ڴӿؼ֪ͨ
	CString str;

	str.Format(_T("%d"), m_strListenPort);
	unsigned int unListen = GTcpSvr_OpenListen(m_strHostIP.GetBuffer(),		 //IPַ
												str.GetBuffer(),			 //˿
												&GTcpSvr_OnConnected,			 //ӻصַпͻӲյͻĵһ
																			 //֮ĻصԸÿòͬĻص
												(PGFN_ON_RECEIVED)&GTcpSvr_OnReceived,	//յ֮ĻصַԸÿ
																						//ͬĻص
												(PGFN_ON_SENDED)&GTcpSvr_OnSended,		//ͻ쳣Ͽ֮Ļصַ
																						//ԸÿòͬĻص
												(PGFN_ON_DISCONNECTED)&GTcpSvr_OnDisconnected,  //гʱ֮Ļصַ
																							//ԸÿòͬĻص
												this);										//ÿòͬ
																							//ڿͻ¼ʹGTcpSvr_GetListenOwner
	if(unListen)
	{
		CString str;
		str.Format(_T("Listen(%d)"), GTcpSvr_GetListenCount());
		m_btnListen.SetWindowText(str.GetBuffer());
		GTcpSvrInfo_AddListen(unListen, m_strHostIP.GetBuffer(), m_strListenPort);
		m_strListenPort++;
		UpdateData(FALSE);
	}else
		MessageBox(_T("ʧܣȷIPͶ˿ǷȷѾռã־ļ"));
}

void CGTcpServerDemoDlg::OnBnClickedButton3()
{
	// TODO: ڴӿؼ֪ͨ
	#ifdef _UNICODE
	char pBuf[1024];
	WideCharToMultiByte(CP_ACP, 0, m_strBroad.GetBuffer(), -1, pBuf, 1024, NULL, NULL);
	GTcpSvr_PostBroadcast(pBuf, strlen(pBuf) + 1);
	#else
	GTcpSvr_PostBroadcast(m_strBroad.GetBuffer(), m_strBroad.GetLength() + 1);
	#endif
}

void CGTcpServerDemoDlg::OnBnClickedButton5()
{
	// TODO: ڴӿؼ֪ͨ
	GTcpSvr_ShowRunInfo();
}
void CGTcpServerDemoDlg::OnBnClickedCheck1()
{
	// TODO: ڴӿؼ֪ͨ
	UpdateData(TRUE);
}
